summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJosip2016-10-01 10:18:20 +0200
committerJosip2016-10-01 10:18:20 +0200
commit1b0484174534793b66c22e81e84519d8f6f62b58 (patch)
tree40ef9280c47ae5699f68c1e7fbba71d78fe5bd1b
downloadaur-1b0484174534793b66c22e81e84519d8f6f62b58.tar.gz
Initial import
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD35
2 files changed, 55 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a85bce99061
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = streamlink-git
+ pkgdesc = CLI program that launches streams from various streaming services in a custom video player (livestreamer fork)
+ pkgver = r1562.cb4fab0
+ pkgrel = 1
+ url = https://streamlink.github.io/
+ arch = any
+ license = BSD
+ makedepends = git
+ makedepends = python-sphinx
+ depends = python-requests
+ depends = python-setuptools
+ depends = rtmpdump
+ optdepends = python-librtmp: Required by the ustreamtv plugin to be able to use non-mobile streams.
+ provides = streamlink
+ conflicts = streamlink
+ source = git+https://github.com/streamlink/streamlink.git
+ sha256sums = SKIP
+
+pkgname = streamlink-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..68945e4253c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Josip Ponjavic <josipponjavic at gmail dot com>
+
+pkgname=streamlink-git
+pkgver=r1562.cb4fab0
+pkgrel=1
+pkgdesc='CLI program that launches streams from various streaming services in a custom video player (livestreamer fork)'
+arch=('any')
+url='https://streamlink.github.io/'
+license=('BSD')
+depends=('python-requests' 'python-setuptools' 'rtmpdump')
+makedepends=('git' 'python-sphinx')
+optdepends=('python-librtmp: Required by the ustreamtv plugin to be able to use non-mobile streams.')
+provides=('streamlink')
+conflicts=('streamlink')
+source=('git+https://github.com/streamlink/streamlink.git')
+sha256sums=('SKIP')
+
+pkgver() {
+ cd streamlink
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd streamlink
+ python setup.py build_sphinx -b man
+}
+
+package() {
+ cd streamlink
+ python setup.py install --root="$pkgdir" --optimize=1
+ install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}